Il giorno , Juan Jesús García <skandalfo@gmail.com> ha scritto:
>
> Could you just compile the version 0.9.0 (not pre-1) of LIRC with the
>
> patch I've just posted to the LIRC list and see if it's better? If you
>
> do this, please ensure you are loading the modules you compiled
>
> (lirc_dev.ko, lirc_wpc8769l.ko) and not any older version provided by
>
> your distro.

i will try this asap

> If you get to this point, we can then put some more debug output into
>
> the wec_parse_resources() version to see what's going on...
>
good

>
> Another option would be just to skip the ACPI probe and provide the
>
> module with the IO range and IRQ number parameters. Use modinfo on
>
> lirc_wpc8769l and see the description for the skip_probe, baseport1,
>
> baseport2 and irq module parameters. Perhaps manually providing these
>
> values is just enough.

unfortunately no, i tried this:

# modprobe lirc_wpc8769l skip_probe=1 irq=4 baseport1=600 baseport2=620

and got:

FATAL: Error inserting lirc_wpc8769l (/lib/modules/2.6.37-ARCH/kernel/drivers/misc/lirc_wpc8769l.ko): Input/output error

# dmesg
lirc_register_driver: dev pointer not filled in!
lirc_wpc8769l: lirc_register_driver failed!

i'll let you know if i'll have problems compiling version 0.9.0

regards,

Christian